org.eclipse.eef.properties.ui.internal.page

## Class EEFTabbedPropertyViewer

- java.lang.Object
- - org.eclipse.eef.properties.ui.internal.page.EEFTabbedPropertyViewer

    public class EEFTabbedPropertyViewer
    extends java.lang.Object

Viewer representing the property sheet page. On the left side it contains a list of tabs and on the right side it contains the current selected tab.

### Nested Class Summary

Nested Classes
`static interface` `EEFTabbedPropertyViewer.IEEFTabDescriptorChangedListener` Interface used to listen to changes to the currently selected tab.

### Constructor Summary

Constructors
Constructor and Description
`EEFTabbedPropertyViewer(EEFTabbedPropertyList tabbedPropertyList, EEFTabbedPropertyRegistry registry)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionListener(EEFTabbedPropertyViewer.IEEFTabDescriptorChangedListener listener)` Adds a selection listener.
`java.util.List<IEEFTabDescriptor>` `getElements()` Return the elements.
`org.eclipse.jface.viewers.ISelection` `getInput()` Return the input.
`int` `getSelectionIndex()` Returns the zero-relative index of the item which is currently selected in the receiver, or -1 if no item is selected.
`IEEFTabDescriptor` `getTabDescriptionAtIndex(int index)` Returns the element at the given index.
`org.eclipse.ui.IWorkbenchPart` `getWorkbenchPart()` Get the current workbench part.
`void` `setInput(org.eclipse.ui.IWorkbenchPart workbenchPart, org.eclipse.jface.viewers.ISelection selection)` Set the input for viewer.
`void` `setSelectedTabDescriptor(IEEFTabDescriptor descriptor)` Sets the tab descriptor to select.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFTabbedPropertyViewer

    public EEFTabbedPropertyViewer(EEFTabbedPropertyList tabbedPropertyList,
                                   EEFTabbedPropertyRegistry registry)

The constructor.

Parameters:
  `tabbedPropertyList` - The tabbed property list
  `registry` - The tabbed property registry

### Method Detail

#### addSelectionListener

    public void addSelectionListener(EEFTabbedPropertyViewer.IEEFTabDescriptorChangedListener listener)

Adds a selection listener.

Parameters:
  `listener` - The listener

#### setInput

    public void setInput(org.eclipse.ui.IWorkbenchPart workbenchPart,
                         org.eclipse.jface.viewers.ISelection selection)

Set the input for viewer.

Parameters:
  `workbenchPart` - the workbench part.
  `selection` - the selection in the workbench part.

#### getInput

    public org.eclipse.jface.viewers.ISelection getInput()

Return the input.

Returns:
  the input

#### getWorkbenchPart

    public org.eclipse.ui.IWorkbenchPart getWorkbenchPart()

Get the current workbench part.

Returns:
  the current workbench part.

#### getElements

    public java.util.List<IEEFTabDescriptor> getElements()

Return the elements.

Returns:
  the elements

#### getSelectionIndex

    public int getSelectionIndex()

Returns the zero-relative index of the item which is currently selected in the receiver, or -1 if no item is selected.

Returns:
  the index of the selected item

#### getTabDescriptionAtIndex

    public IEEFTabDescriptor getTabDescriptionAtIndex(int index)

Returns the element at the given index.

Parameters:
  `index` - The index
Returns:
  The element at the give index

#### setSelectedTabDescriptor

    public void setSelectedTabDescriptor(IEEFTabDescriptor descriptor)

Sets the tab descriptor to select.

Parameters:
  `descriptor` - The descriptor